%define upstream_name	 File-RsyncP
%define upstream_version 0.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl Rsync client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.240.0
BuildRequires: perl-devel
%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Update config.guess/sub to fix builds on new architectures (aarch64/ppc64le)
cp /usr/lib/rpm/mageia/config.* FileList/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make

%install
%make_install

%check
%make_build test

%files
%doc Changes LICENSE MYMETA.yml README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.760.0-5.mga10
+ Revision: 2012051
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.760.0-4.mga9
+ Revision: 1861900
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.760.0-3.mga9
+ Revision: 1795735
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.760.0-2.mga9
+ Revision: 1726585
- Rebuild for perl 5.34

* Sat Sep 26 2020 tv <tv> 0.760.0-1.mga8
+ Revision: 1630491
- update to 0.76

* Wed Jun 17 2020 umeabot <umeabot> 0.740.0-13.mga8
+ Revision: 1594793
- Rebuild for perl 5.32
+ tv <tv>
- update description

* Thu Jun 11 2020 tv <tv> 0.740.0-12.mga8
+ Revision: 1592259
- cp config.* from rpm-setup
- set %%_configure_gnuconfig_hack
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Sun Feb 16 2020 umeabot <umeabot> 0.740.0-11.mga8
+ Revision: 1529485
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.740.0-10.mga8
+ Revision: 1433613
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.740.0-9.mga7
+ Revision: 1292858
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.740.0-8.mga7
+ Revision: 1250093
- Rebuild for perl 5.28

* Mon Jun 25 2018 wally <wally> 0.740.0-7.mga7
+ Revision: 1239644
- fix build on aarch64

* Mon Oct 02 2017 tv <tv> 0.740.0-6.mga7
+ Revision: 1164362
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.740.0-5.mga7
+ Revision: 1148894
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.740.0-4.mga7
+ Revision: 1126623
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.740.0-3.mga6
+ Revision: 1027514
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.740.0-2.mga6
+ Revision: 957325
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.740.0-1.mga6
+ Revision: 843609
- update to 0.74

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-9.mga5
+ Revision: 741001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-8.mga5
+ Revision: 684758
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.700.0-7.mga5
+ Revision: 631202
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.700.0-6.mga4
+ Revision: 524758
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.700.0-5.mga4
+ Revision: 431519
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-4.mga3
+ Revision: 367356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.700.0-3.mga3
+ Revision: 250637
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.700.0-2.mga2
+ Revision: 104275
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 30386
- mageia rebuild
- imported package perl-File-RsyncP

